maven-announce mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Fox <bri...@apache.org>
Subject [ANN] Maven Enforcer Plugin 1.0-beta-1
Date Thu, 26 Feb 2009 03:40:53 GMT
The Maven team is pleased to announce the release of the Maven
Enforcer Plugin, version 1.0-beta-1

The Enforcer plugin is used to fail a build if certain constraints are
not met. There are too many standard rules to describe here, but check
out the site for more details:

http://maven.apache.org/plugins/maven-enforcer-plugin/

You should specify the version in your project's plugin configuration:

<plugin>
 <groupId>org.apache.maven.plugins</groupId>
 <artifactId>maven-enforcer-plugin</artifactId>
 <version>1.0-beta-1</version>
</plugin>


Release Notes - Maven 2.x Enforcer Plugin - Version 1.0-beta-1

** Bug
    * [MENFORCER-30] - RequirePluginVersions breaks when using
project.parent.groupId and project.parent.version.
    * [MENFORCER-31] - Incorrect documentation for writing a custom rule
    * [MENFORCER-53] - incorrect documentation: states
uncheckedPlugins parameter of Require Plugin Versions, but is
unCheckedPlugins (wrong case)
    * [MENFORCER-55] - requirePluginVersions is not compatable with
Maven embedder (used in IDEs)
    * [MENFORCER-56] - NPE if <requireFilesExist> contains an unset variable
    * [MENFORCER-57] - Enforcer does not resolve local parent pom
    * [MENFORCER-58] - typo in rule-api documentation
    * [MENFORCER-60] - throw an error instead of failing the rule if
the beanshell is invalid
    * [MENFORCER-62] - requirePluginVesions: avoid checking
commandline-invoked mojos

** Improvement
    * [MENFORCER-48] - Support for a specific vendor of a JDK
    * [MENFORCER-59] - add the ability to be more selective with
banned repositories

Enjoy,
The Maven Team

Mime
View raw message